:root {
    --color-background: #E7DCD4;
    --color-text: #000;

    --contents-font-size: 12px;
    --contents-width: 1440px;
    --contents-margin-side: 80px;
    --contents-margin-top: 80px;
}

body {
    font-family: "Noto Serif JP", serif;
    font-weight: 700;
    letter-spacing: 0.5em;
    line-height: 1.5;
    text-align: justify;
    text-shadow: 0px 0px 4px #fff;

    font-size: var(--contents-font-size);
    color: var(--color-text);
    background-color: var(--color-background);
}

.main {
    max-width: var(--contents-width);
    padding: 0 var(--contents-margin-side);
    position: relative;
    margin: 0 auto;
}

.snap_container {
    overflow: auto;
    scroll-snap-type: y mandatory;
    height: 100vh;

    scrollbar-width: none; /*Firefox対応のスクロールバー非表示コード*/  
    -ms-overflow-style: none;/*Internet Explore対応のスクロールバー非表示コード*/ 
}

.snap_container::-webkit-scrollbar {  
    display: none; /*Google Chrome、Safari、Microsoft Edge対応のスクロールバー非表示コード*/
}

.snap_area {
  scroll-snap-align: start;
  height: 100vh;
}

.header {
    font-family: "Cormorant Garamond", serif;
    padding: 40px 0 4px 0;
    border-bottom: 1px solid #333;
    margin-bottom: 40px;
}

.header p {
    text-align: right;
    font-weight: 900;
}

.mv {
    width: 100%;
    height: 80vh;

    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.mv-img {
    position: absolute;
    width: 100%;
    height: 100%;
    padding: 10vh;
    top: 0;
}

/* 薄い透明画像 */
.slideshow::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(rgba(255, 255, 255, 0), rgba(255, 255, 255, 0.5));
    pointer-events: none; /* 下の画像へのクリックを邪魔しない */
}

.slideshow {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: -50;
}

.slideshow img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    transition: opacity 1.5s ease-in-out;
}

.flex_container {
    display: flex;
    justify-content: space-between;
    height: 100%;
}

.mv_left_container {
    width: 70%;
    margin-right: 40px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.mv_title {
    font-family: "Cormorant Garamond", serif;
    position: relative;
    font-size: clamp(36px, 8vw, 120px);
    line-height: 1.0;
}

.mv_title span {
    font-family: "Noto Serif JP", serif;
    font-size: clamp(8px, 0.6vw, 12px);
    position: absolute;
    left: clamp(36px, 8vw, 120px);
    top: 0px;
}

.mv_title span:before {
    content: '';
    display: inline-block;
    width: 16px;
    height: 1px;
    background-color: var(--color-text);

    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);

    margin: 0 4px 4px 0;
}

.mv_title span:after {
    content: '';
    display: inline-block;
    width: 16px;
    height: 1px;
    background-color: var(--color-text);

    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);

    margin: 0 4px 4px 0;
}

.catchcopy {
    margin-bottom: 60px;
}

.catchcopy h2 {
    font-size: 40px;
    font-weight: 900;
}

.catchcopy p {
    font-size: 16px;
    font-weight: 900;
    margin-top: 8px;
}

.topic h3 {
    display: inline-block;
    border: 1px solid #333;
    padding: 4px 4px 4px 8px;
    font-size: 14px;
    font-weight: 900;
    margin-bottom: 16px;
    font-family: "Cormorant Garamond", serif;
}

.topic li {
    margin-bottom: 16px;
}

.topic p {
    /* display:inline-block;
    background-color: rgba(255, 255, 255, 0.25) */
}

.mv_right_container {
    transform: translateY(-3vw);
}

.date {
    text-align: center;
    font-family: "Cormorant Garamond", serif;
    font-weight: 900;
    font-size: 36px;
    line-height: 1.0;
    margin-bottom: 40px;
}

.date_01 {
    font-size: clamp(100px, 10vw, 200px);
}

.date_02 {
    font-size: clamp(16px, 1.5vw, 36px);
}

.teacher {
    text-align: center;
    font-size: 16px;
    margin-bottom: 40px;
}

.teacher p {
    margin-bottom: 8px;
}

.mv_right_bottom {
    font-size: 16px;
    border: 1px solid #333;
    border-radius: 100%;

    position: absolute;
    right: 0;
    bottom: -32px;
    letter-spacing: 0.2rem;
    width: 160px;
    height: 160px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.mv_right_bottom p{
    transform: translateY(4px);
    text-align: center;    
}

.details {
    position: relative;
    display: flex;
    height: 90vh;
    padding: 24px;
}

.detail_contents {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: auto 1fr;

    column-gap: 24px;

    padding-bottom: 32px;
}

.details_grid-1 {
    grid-column: 1 / 3;
    grid-row: 1;
}

.details_grid-2 {
    grid-column: 1;
    grid-row: 2;
}

.details_grid-3 {
    grid-column: 2;
    grid-row: 2;
}

.details_grid-4 {
    grid-column: 3;
    grid-row: 1 / 3;
}

.details_grid-5 {
    grid-column: 4;
    grid-row: 1 / 3;
}

.details_textArea {
    margin-bottom: 24px;
    letter-spacing: 0.1rem;
}

.details_textArea a {
    text-decoration: underline;
}

.details_title h2 {
    font-size: 24px;
    margin-bottom: 32px;
}

.details_item {
    display: flex;
    flex-direction: column;
    flex: 1;
}

.text-bold {
    font-weight: 900;
    margin-bottom: 12px;
}

.border-left {
    border-left: 1px solid #000000;
    padding-left: 16px;
}

.border-all {
    border: 1px solid #000000;
    padding: 16px;
}

.footer {
    padding-top: 12px;
    font-size: 12px;
    letter-spacing: 0.1rem;
    text-align: center;
    border-top: 1px solid #000000;
}

.details_img {
    width: 240px;
    height: 160px;
    margin-top: auto;
}

.details_img img {
    width: 100%;
}

.googleMap {
    max-width: 240px;
    max-height: 240px;
    margin-bottom: 24px;
}

.side_left {
    -ms-writing-mode: tb-rl;
    writing-mode: vertical-rl;
    display: flex;
    justify-content: space-between;
    margin-right: 40px;
}

.details_left {
    margin-right: 40px;
}

.details_right {
    margin-left: 40px;
}

.sp_page {
    display: contents;
}

.sp_pageNum {
    display: none;
}

.side_right {
    -ms-writing-mode: tb-rl;
    writing-mode: vertical-rl;
    display: flex;
    justify-content: space-between;
    margin-left: 40px;
}

.deg90 {
    transform: rotate(-90deg);
}


.details h3 {
    font-weight: 900;
}

.details_left h2 p div {
    margin-bottom: 20px;
}

.mt-adjust {
    margin-top: 16px;
}